Forums » Ruby on Rails » `gem_original_require' Error
Hello guys,

Please Help me solve this... am getting this error when I run mongrel_rails start -p 3000 -e production



/usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/gem_dependency.rb:119:Warning: Gem::Dependency#version_requirements is deprecated and will be removed on or after August 2010. Use #requirement
/usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:30:in `gem_original_require': no such file to load -- nokogiri (MissingSourceFile)
from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:30:in `require'
from /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:158:in `require'
from /var/fedena/vendor/plugins/foradian-fedena-bbb-b269f83/lib/big_blue_button.rb:31
from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:30:in `gem_original_require'
from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:30:in `require'
from /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:158:in `require'
from /var/fedena/vendor/plugins/foradian-fedena-bbb-b269f83/lib/fedena_bigbluebutton.rb:18
from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:30:in `gem_original_require'
from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:30:in `require'
from /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/dependencies.rb:158:in `require'
from /var/fedena/vendor/plugins/foradian-fedena-bbb-b269f83/init.rb:17:in `evaluate_init_rb'
from /usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/plugin.rb:158:in `evaluate_init_rb'
from /usr/lib/ruby/gems/1.8/gems/activesupport-2.3.5/lib/active_support/core_ext/kernel/reporting.rb:11:in `silence_warnings'
from /usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/plugin.rb:154:in `evaluate_init_rb'
from /usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/plugin.rb:48:in `load'
from /usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/plugin/loader.rb:38:in `load_plugins'
from /usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/plugin/loader.rb:37:in `each'
from /usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/rails/plugin/loader.rb:37:in `load_plugins'
from /usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/initializer.rb:369:in `load_plugins'
from /usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/initializer.rb:165:in `process'
from /usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/initializer.rb:113:in `send'
from /usr/lib/ruby/gems/1.8/gems/rails-2.3.5/lib/initializer.rb:113:in `run'
from /var/fedena/config/environment.rb:6
from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:30:in `gem_original_require'
from /usr/local/lib/site_ruby/1.8/rubygems/custom_require.rb:30:in `require'
from /usr/lib/ruby/1.8/mongrel/rails.rb:147:in `rails'
from /usr/bin/mongrel_rails:114:in `cloaker_'
from /usr/lib/ruby/1.8/mongrel/configurator.rb:149:in `call'
from /usr/lib/ruby/1.8/mongrel/configurator.rb:149:in `listener'
from /usr/bin/mongrel_rails:100:in `cloaker_'
from /usr/lib/ruby/1.8/mongrel/configurator.rb:50:in `call'
from /usr/lib/ruby/1.8/mongrel/configurator.rb:50:in `initialize'
from /usr/bin/mongrel_rails:85:in `new'
from /usr/bin/mongrel_rails:85:in `run'
from /usr/lib/ruby/1.8/mongrel/command.rb:212:in `run'
from /usr/bin/mongrel_rails:282